//===----------------------------------------------------------------------===//
//
// Philipp Schubert
//
//    Copyright (c) 2017 - 2021
//    Secure Software Engineering Group
//    Heinz Nixdorf Institute
//    Paderborn University
//    philipp.schubert@upb.de
//
//===----------------------------------------------------------------------===//

#include <iostream>
#include <vector>

int main(int argc, char **argv) {
  if (argc != 2) {
    std::cout << "usage: <progname> <depth>\n";
    return 1;
  }
  int value = std::stoi(argv[1]);
  // Just a security check.
  unsigned depth = (value >= 0) ? value : 0;
  std::vector<std::vector<unsigned>> pascal(depth,
                                            std::vector<unsigned>(depth, 1));
  // TODO implement logic here
  // Print the contents of pascal (interesting parts only).
  for (unsigned i = 0; i < pascal.size(); ++i) {
    for (unsigned j = 0; j <= i; ++j) {
      std::cout << pascal[i][j] << ' ';
    }
    std::cout << '\n';
  }
  return 0;
}
